return {
	"folke/snacks.nvim",
	priority = 1000,
	lazy = false,
	---@type snacks.Config
	opts = {
		-- your configuration comes here
		-- or leave it empty to use the default settings
		-- refer to the configuration section below
		animate = { enabled = true },
		bigfile = { enabled = true },
		bufdelete = { enabled = true },
		dashboard = {
			enabled = true,
			sections = {
				{ section = "header", hl = "SnacksDashboardHeader" },
				{
					pane = 2,
					section = "terminal",
					cmd = "colorscript -e square",
					height = 5,
					padding = 1,
				},
				{ section = "keys", hl = "SnacksDashboardPrimary", gap = 1, padding = 1 },
				{
					pane = 2,
					icon = " ",
					title = "Recent Files (in project)",
					section = "recent_files",
					indent = 2,
					limit = 5,
					padding = 1,
					cwd = true,
				},
				{
					pane = 2,
					icon = " ",
					title = "Projects",
					section = "projects",
					indent = 2,
					padding = 1,
					limit = 4,
				},
				{
					pane = 2,
					icon = " ",
					title = "Git Status",
					section = "terminal",
					enabled = function()
						return Snacks.git.get_root() ~= nil
					end,
					cmd = "git status --short --branch --renames",
					height = 5,
					padding = 1,
					ttl = 5 * 60,
					indent = 3,
				},
				{ section = "startup" },
			},
		},
		indent = {
			enabled = true,
			indent = {
				enabled = true,
				priority = 1,
				char = "▎",
			},
			animate = {
				enabled = false,
			},
			scope = {
				char = "▎",
			},
		},
		lazygit = { enabled = true },
		picker = { enabled = true },
		quickfile = { enabled = true },
		statuscolumn = { enabled = true },
	},
	keys = {
		{
			"<leader><leader>gl",
			function()
				Snacks.lazygit()
			end,
			desc = "Open LazyGit",
			mode = "n",
		},
		{
			"<leader>fcs",
			function()
				Snacks.picker.highlights({ pattern = "hl_group:^Snacks" })
			end,
			desc = "Show Snacks highlights",
			mode = "n",
		},
		{
			"<leader>fca",
			function()
				Snacks.picker.highlights()
			end,
			desc = "Show highlight groups",
			mode = "n",
		},
		{
			"<C-x>",
			function()
				Snacks.bufdelete()
			end,
			desc = "Close buffer",
			mode = "n",
		},
	},
}
